"""
    Open:FactSet - Partners

    This service provides the capability to search and download unstructured content provided by <a href=\"https://open.factset.com/catalog/en-us\">Open:FactSet Partners</a>.  # noqa: E501

    The version of the OpenAPI document: 2.0.0
    Contact: api@factset.com
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401
from multiprocessing.pool import ApplyResult
import typing

from fds.sdk.OpenFactSetPartnersDocuments.api_client import ApiClient, Endpoint as _Endpoint
from fds.sdk.OpenFactSetPartnersDocuments.model_utils import (  # noqa: F401
    check_allowed_values,
    check_validations,
    date,
    datetime,
    file_type,
    none_type,
    validate_and_convert_types
)
from fds.sdk.OpenFactSetPartnersDocuments.exceptions import ApiException
from fds.sdk.OpenFactSetPartnersDocuments.model.auth_status import AuthStatus
from fds.sdk.OpenFactSetPartnersDocuments.model.beam_endpoints_response import BeamEndpointsResponse
from fds.sdk.OpenFactSetPartnersDocuments.model.biomarkers_response import BiomarkersResponse
from fds.sdk.OpenFactSetPartnersDocuments.model.collaborators_response import CollaboratorsResponse
from fds.sdk.OpenFactSetPartnersDocuments.model.data_response import DataResponse
from fds.sdk.OpenFactSetPartnersDocuments.model.diseases_response import DiseasesResponse
from fds.sdk.OpenFactSetPartnersDocuments.model.full_history_response import FullHistoryResponse
from fds.sdk.OpenFactSetPartnersDocuments.model.intervention_response import InterventionResponse
from fds.sdk.OpenFactSetPartnersDocuments.model.orange_purple_response import OrangePurpleResponse
from fds.sdk.OpenFactSetPartnersDocuments.model.primary_outcome_response import PrimaryOutcomeResponse
from fds.sdk.OpenFactSetPartnersDocuments.model.sponsors_response import SponsorsResponse





class OzmosiApi(object):
    """NOTE: This class is auto generated by OpenAPI Generator
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

        self.get_ozmosi_biomarkers_daily_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (BiomarkersResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/ozmosi/biomarkers/daily',
                'operation_id': 'get_ozmosi_biomarkers_daily',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'pagination_limit',
                    'pagination_offset',
                    'clinical_trial_id',
                    'biomarker_name',
                    'biomarker_full_name',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'clinical_trial_id':
                        (str,),
                    'biomarker_name':
                        (str,),
                    'biomarker_full_name':
                        (str,),
                },
                'attribute_map': {
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'clinical_trial_id': 'clinicalTrialId',
                    'biomarker_name': 'biomarkerName',
                    'biomarker_full_name': 'biomarkerFullName',
                },
                'location_map': {
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'clinical_trial_id': 'query',
                    'biomarker_name': 'query',
                    'biomarker_full_name': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

        self.get_ozmosi_clinical_trials_daily_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (DataResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/ozmosi/clinical-trials/daily',
                'operation_id': 'get_ozmosi_clinical_trials_daily',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'sort',
                    'pagination_limit',
                    'pagination_offset',
                    'clinical_trial_id',
                    'official_title',
                    'trial_id',
                    'date',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                    'sort',
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 300,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                    ('sort',): {

                        "STARTDATE": "startDate",
                        "-STARTDATE": "-startDate"
                    },
                },
                'openapi_types': {
                    'sort':
                        (str,),
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'clinical_trial_id':
                        (str,),
                    'official_title':
                        (str,),
                    'trial_id':
                        (str,),
                    'date':
                        (datetime,),
                },
                'attribute_map': {
                    'sort': '_sort',
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'clinical_trial_id': 'clinicalTrialId',
                    'official_title': 'officialTitle',
                    'trial_id': 'trialId',
                    'date': 'date',
                },
                'location_map': {
                    'sort': 'query',
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'clinical_trial_id': 'query',
                    'official_title': 'query',
                    'trial_id': 'query',
                    'date': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

        self.get_ozmosi_clinical_trials_history_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (FullHistoryResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/ozmosi/clinical-trials/history',
                'operation_id': 'get_ozmosi_clinical_trials_history',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'pagination_limit',
                    'pagination_offset',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                },
                'attribute_map': {
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                },
                'location_map': {
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

        self.get_ozmosi_collaborators_daily_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (CollaboratorsResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/ozmosi/collaborators/daily',
                'operation_id': 'get_ozmosi_collaborators_daily',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'pagination_limit',
                    'pagination_offset',
                    'clinical_trial_id',
                    'beam_collaborators_name',
                    'beam_collaborators_ticker',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'clinical_trial_id':
                        (str,),
                    'beam_collaborators_name':
                        (str,),
                    'beam_collaborators_ticker':
                        (str,),
                },
                'attribute_map': {
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'clinical_trial_id': 'clinicalTrialId',
                    'beam_collaborators_name': 'beamCollaboratorsName',
                    'beam_collaborators_ticker': 'beamCollaboratorsTicker',
                },
                'location_map': {
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'clinical_trial_id': 'query',
                    'beam_collaborators_name': 'query',
                    'beam_collaborators_ticker': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

        self.get_ozmosi_diseases_daily_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (DiseasesResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/ozmosi/diseases/daily',
                'operation_id': 'get_ozmosi_diseases_daily',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'pagination_limit',
                    'pagination_offset',
                    'clinical_trial_id',
                    'disease_area',
                    'sub_therapy_area',
                    'therapy_area',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'clinical_trial_id':
                        (str,),
                    'disease_area':
                        (str,),
                    'sub_therapy_area':
                        (str,),
                    'therapy_area':
                        (str,),
                },
                'attribute_map': {
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'clinical_trial_id': 'clinicalTrialId',
                    'disease_area': 'diseaseArea',
                    'sub_therapy_area': 'subTherapyArea',
                    'therapy_area': 'therapyArea',
                },
                'location_map': {
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'clinical_trial_id': 'query',
                    'disease_area': 'query',
                    'sub_therapy_area': 'query',
                    'therapy_area': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

        self.get_ozmosi_endpoints_daily_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (BeamEndpointsResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/ozmosi/beam-endpoints/daily',
                'operation_id': 'get_ozmosi_endpoints_daily',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'pagination_limit',
                    'pagination_offset',
                    'clinical_trial_id',
                    'name',
                    'full_form',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'clinical_trial_id':
                        (str,),
                    'name':
                        (str,),
                    'full_form':
                        (str,),
                },
                'attribute_map': {
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'clinical_trial_id': 'clinicalTrialId',
                    'name': 'name',
                    'full_form': 'fullForm',
                },
                'location_map': {
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'clinical_trial_id': 'query',
                    'name': 'query',
                    'full_form': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

        self.get_ozmosi_intervention_daily_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (InterventionResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/ozmosi/intervention/daily',
                'operation_id': 'get_ozmosi_intervention_daily',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'pagination_limit',
                    'pagination_offset',
                    'clinical_trial_id',
                    'beam_intervention_name',
                    'beam_intervention_desc',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'clinical_trial_id':
                        (str,),
                    'beam_intervention_name':
                        (str,),
                    'beam_intervention_desc':
                        (str,),
                },
                'attribute_map': {
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'clinical_trial_id': 'clinicalTrialId',
                    'beam_intervention_name': 'beamInterventionName',
                    'beam_intervention_desc': 'beamInterventionDesc',
                },
                'location_map': {
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'clinical_trial_id': 'query',
                    'beam_intervention_name': 'query',
                    'beam_intervention_desc': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

        self.get_ozmosi_orangepurple_daily_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (OrangePurpleResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/ozmosi/orangepurple/daily',
                'operation_id': 'get_ozmosi_orangepurple_daily',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'pagination_limit',
                    'pagination_offset',
                    'clinical_trial_id',
                    'beam_op_novel_drug',
                    'beam_op_novel_target',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'clinical_trial_id':
                        (str,),
                    'beam_op_novel_drug':
                        (str,),
                    'beam_op_novel_target':
                        (str,),
                },
                'attribute_map': {
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'clinical_trial_id': 'clinicalTrialId',
                    'beam_op_novel_drug': 'beamOpNovelDrug',
                    'beam_op_novel_target': 'beamOpNovelTarget',
                },
                'location_map': {
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'clinical_trial_id': 'query',
                    'beam_op_novel_drug': 'query',
                    'beam_op_novel_target': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

        self.get_ozmosi_primaryoutcome_daily_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (PrimaryOutcomeResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/ozmosi/primaryoutcome/daily',
                'operation_id': 'get_ozmosi_primaryoutcome_daily',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'pagination_limit',
                    'pagination_offset',
                    'clinical_trial_id',
                    'primary_outcome_measure',
                    'primary_outcome_desc',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'clinical_trial_id':
                        (str,),
                    'primary_outcome_measure':
                        (str,),
                    'primary_outcome_desc':
                        (str,),
                },
                'attribute_map': {
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'clinical_trial_id': 'clinicalTrialId',
                    'primary_outcome_measure': 'primaryOutcomeMeasure',
                    'primary_outcome_desc': 'primaryOutcomeDesc',
                },
                'location_map': {
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'clinical_trial_id': 'query',
                    'primary_outcome_measure': 'query',
                    'primary_outcome_desc': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

        self.get_ozmosi_sponsors_daily_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (SponsorsResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/ozmosi/sponsors/daily',
                'operation_id': 'get_ozmosi_sponsors_daily',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'pagination_limit',
                    'pagination_offset',
                    'clinical_trial_id',
                    'beam_sponsors_name',
                    'beam_sponsors_ticker',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'clinical_trial_id':
                        (str,),
                    'beam_sponsors_name':
                        (str,),
                    'beam_sponsors_ticker':
                        (str,),
                },
                'attribute_map': {
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'clinical_trial_id': 'clinicalTrialId',
                    'beam_sponsors_name': 'beamSponsorsName',
                    'beam_sponsors_ticker': 'beamSponsorsTicker',
                },
                'location_map': {
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'clinical_trial_id': 'query',
                    'beam_sponsors_name': 'query',
                    'beam_sponsors_ticker': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )


    @staticmethod
    def apply_kwargs_defaults(kwargs, return_http_data_only, async_req):
        kwargs["async_req"] = async_req
        kwargs["_return_http_data_only"] = return_http_data_only
        kwargs["_preload_content"] = kwargs.get("_preload_content", True)
        kwargs["_request_timeout"] = kwargs.get("_request_timeout", None)
        kwargs["_check_input_type"] = kwargs.get("_check_input_type", True)
        kwargs["_check_return_type"] = kwargs.get("_check_return_type", True)
        kwargs["_spec_property_naming"] = kwargs.get("_spec_property_naming", False)
        kwargs["_content_type"] = kwargs.get("_content_type")
        kwargs["_host_index"] = kwargs.get("_host_index")


    def get_ozmosi_biomarkers_daily(
        self,
        **kwargs
    ) -> BiomarkersResponse:
        """Returns the daily files of Biomarkers Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Biomarkers Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            biomarker_name (str): This parameter specifies the abbreviated name of any patient biomarkers being targeted for research in the trial.. [optional]
            biomarker_full_name (str): Specifies the full name of the biomarker.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            BiomarkersResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_ozmosi_biomarkers_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_biomarkers_daily_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[BiomarkersResponse, int, typing.MutableMapping]:
        """Returns the daily files of Biomarkers Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Biomarkers Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            biomarker_name (str): This parameter specifies the abbreviated name of any patient biomarkers being targeted for research in the trial.. [optional]
            biomarker_full_name (str): Specifies the full name of the biomarker.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            BiomarkersResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_ozmosi_biomarkers_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_biomarkers_daily_async(
        self,
        **kwargs
    ) -> "ApplyResult[BiomarkersResponse]":
        """Returns the daily files of Biomarkers Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Biomarkers Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            biomarker_name (str): This parameter specifies the abbreviated name of any patient biomarkers being targeted for research in the trial.. [optional]
            biomarker_full_name (str): Specifies the full name of the biomarker.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[BiomarkersResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_ozmosi_biomarkers_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_biomarkers_daily_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[BiomarkersResponse, int, typing.MutableMapping]]":
        """Returns the daily files of Biomarkers Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Biomarkers Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            biomarker_name (str): This parameter specifies the abbreviated name of any patient biomarkers being targeted for research in the trial.. [optional]
            biomarker_full_name (str): Specifies the full name of the biomarker.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(BiomarkersResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_ozmosi_biomarkers_daily_endpoint.call_with_http_info(**kwargs)


    def get_ozmosi_clinical_trials_daily(
        self,
        **kwargs
    ) -> DataResponse:
        """Returns the daily files of Clinical Trial Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Clinical Trial Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result Default value 20 and Maximum value 300. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            official_title (str): Specifies full scientific title of a trial.. [optional]
            trial_id (str): This parameter specifies ID of the trial assigned by the trial registry.. [optional]
            date (datetime): Specifies the timestamp of each version of a trial in YYYY-MM-DD format.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            DataResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_ozmosi_clinical_trials_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_clinical_trials_daily_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[DataResponse, int, typing.MutableMapping]:
        """Returns the daily files of Clinical Trial Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Clinical Trial Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result Default value 20 and Maximum value 300. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            official_title (str): Specifies full scientific title of a trial.. [optional]
            trial_id (str): This parameter specifies ID of the trial assigned by the trial registry.. [optional]
            date (datetime): Specifies the timestamp of each version of a trial in YYYY-MM-DD format.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            DataResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_ozmosi_clinical_trials_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_clinical_trials_daily_async(
        self,
        **kwargs
    ) -> "ApplyResult[DataResponse]":
        """Returns the daily files of Clinical Trial Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Clinical Trial Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result Default value 20 and Maximum value 300. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            official_title (str): Specifies full scientific title of a trial.. [optional]
            trial_id (str): This parameter specifies ID of the trial assigned by the trial registry.. [optional]
            date (datetime): Specifies the timestamp of each version of a trial in YYYY-MM-DD format.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[DataResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_ozmosi_clinical_trials_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_clinical_trials_daily_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[DataResponse, int, typing.MutableMapping]]":
        """Returns the daily files of Clinical Trial Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Clinical Trial Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result Default value 20 and Maximum value 300. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            official_title (str): Specifies full scientific title of a trial.. [optional]
            trial_id (str): This parameter specifies ID of the trial assigned by the trial registry.. [optional]
            date (datetime): Specifies the timestamp of each version of a trial in YYYY-MM-DD format.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(DataResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_ozmosi_clinical_trials_daily_endpoint.call_with_http_info(**kwargs)


    def get_ozmosi_clinical_trials_history(
        self,
        **kwargs
    ) -> FullHistoryResponse:
        """Returns the history files from Open:FactSet Partner - Ozmosi  # noqa: E501

        Returns the historical files from June 23rd, 2005 to current date.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            FullHistoryResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_ozmosi_clinical_trials_history_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_clinical_trials_history_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[FullHistoryResponse, int, typing.MutableMapping]:
        """Returns the history files from Open:FactSet Partner - Ozmosi  # noqa: E501

        Returns the historical files from June 23rd, 2005 to current date.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            FullHistoryResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_ozmosi_clinical_trials_history_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_clinical_trials_history_async(
        self,
        **kwargs
    ) -> "ApplyResult[FullHistoryResponse]":
        """Returns the history files from Open:FactSet Partner - Ozmosi  # noqa: E501

        Returns the historical files from June 23rd, 2005 to current date.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[FullHistoryResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_ozmosi_clinical_trials_history_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_clinical_trials_history_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[FullHistoryResponse, int, typing.MutableMapping]]":
        """Returns the history files from Open:FactSet Partner - Ozmosi  # noqa: E501

        Returns the historical files from June 23rd, 2005 to current date.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(FullHistoryResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_ozmosi_clinical_trials_history_endpoint.call_with_http_info(**kwargs)


    def get_ozmosi_collaborators_daily(
        self,
        **kwargs
    ) -> CollaboratorsResponse:
        """Returns the daily files of Collaborators Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Collaborators Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_collaborators_name (str): It specifies the cleaned name of the collaborator.. [optional]
            beam_collaborators_ticker (str): It specifies the Stock ticker for collaborator.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            CollaboratorsResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_ozmosi_collaborators_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_collaborators_daily_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[CollaboratorsResponse, int, typing.MutableMapping]:
        """Returns the daily files of Collaborators Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Collaborators Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_collaborators_name (str): It specifies the cleaned name of the collaborator.. [optional]
            beam_collaborators_ticker (str): It specifies the Stock ticker for collaborator.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            CollaboratorsResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_ozmosi_collaborators_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_collaborators_daily_async(
        self,
        **kwargs
    ) -> "ApplyResult[CollaboratorsResponse]":
        """Returns the daily files of Collaborators Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Collaborators Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_collaborators_name (str): It specifies the cleaned name of the collaborator.. [optional]
            beam_collaborators_ticker (str): It specifies the Stock ticker for collaborator.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[CollaboratorsResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_ozmosi_collaborators_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_collaborators_daily_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[CollaboratorsResponse, int, typing.MutableMapping]]":
        """Returns the daily files of Collaborators Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Collaborators Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_collaborators_name (str): It specifies the cleaned name of the collaborator.. [optional]
            beam_collaborators_ticker (str): It specifies the Stock ticker for collaborator.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(CollaboratorsResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_ozmosi_collaborators_daily_endpoint.call_with_http_info(**kwargs)


    def get_ozmosi_diseases_daily(
        self,
        **kwargs
    ) -> DiseasesResponse:
        """Returns the daily files of Diseases Details from Open:FactSet Partner- Ozmosi.  # noqa: E501

        Returns the daily files of Diseases Details from Open:FactSet Partner- Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            disease_area (str): Specifies the cleaned disease name.. [optional]
            sub_therapy_area (str): Specifies the Sub Therapy Area of the disease.. [optional]
            therapy_area (str): Specifies the Therapy Area of the disease.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            DiseasesResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_ozmosi_diseases_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_diseases_daily_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[DiseasesResponse, int, typing.MutableMapping]:
        """Returns the daily files of Diseases Details from Open:FactSet Partner- Ozmosi.  # noqa: E501

        Returns the daily files of Diseases Details from Open:FactSet Partner- Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            disease_area (str): Specifies the cleaned disease name.. [optional]
            sub_therapy_area (str): Specifies the Sub Therapy Area of the disease.. [optional]
            therapy_area (str): Specifies the Therapy Area of the disease.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            DiseasesResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_ozmosi_diseases_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_diseases_daily_async(
        self,
        **kwargs
    ) -> "ApplyResult[DiseasesResponse]":
        """Returns the daily files of Diseases Details from Open:FactSet Partner- Ozmosi.  # noqa: E501

        Returns the daily files of Diseases Details from Open:FactSet Partner- Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            disease_area (str): Specifies the cleaned disease name.. [optional]
            sub_therapy_area (str): Specifies the Sub Therapy Area of the disease.. [optional]
            therapy_area (str): Specifies the Therapy Area of the disease.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[DiseasesResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_ozmosi_diseases_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_diseases_daily_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[DiseasesResponse, int, typing.MutableMapping]]":
        """Returns the daily files of Diseases Details from Open:FactSet Partner- Ozmosi.  # noqa: E501

        Returns the daily files of Diseases Details from Open:FactSet Partner- Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            disease_area (str): Specifies the cleaned disease name.. [optional]
            sub_therapy_area (str): Specifies the Sub Therapy Area of the disease.. [optional]
            therapy_area (str): Specifies the Therapy Area of the disease.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(DiseasesResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_ozmosi_diseases_daily_endpoint.call_with_http_info(**kwargs)


    def get_ozmosi_endpoints_daily(
        self,
        **kwargs
    ) -> BeamEndpointsResponse:
        """Returns the daily files of Beam Endpoints Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Beam Endpoints Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            name (str): This parameter specifies cleaned and standardized abbreviations of primary endpoints that are common or of key interest.. [optional]
            full_form (str): This parameter specifies cleaned and standardized full names of primary endpoints that are common or of key interest.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            BeamEndpointsResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_ozmosi_endpoints_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_endpoints_daily_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[BeamEndpointsResponse, int, typing.MutableMapping]:
        """Returns the daily files of Beam Endpoints Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Beam Endpoints Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            name (str): This parameter specifies cleaned and standardized abbreviations of primary endpoints that are common or of key interest.. [optional]
            full_form (str): This parameter specifies cleaned and standardized full names of primary endpoints that are common or of key interest.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            BeamEndpointsResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_ozmosi_endpoints_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_endpoints_daily_async(
        self,
        **kwargs
    ) -> "ApplyResult[BeamEndpointsResponse]":
        """Returns the daily files of Beam Endpoints Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Beam Endpoints Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            name (str): This parameter specifies cleaned and standardized abbreviations of primary endpoints that are common or of key interest.. [optional]
            full_form (str): This parameter specifies cleaned and standardized full names of primary endpoints that are common or of key interest.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[BeamEndpointsResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_ozmosi_endpoints_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_endpoints_daily_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[BeamEndpointsResponse, int, typing.MutableMapping]]":
        """Returns the daily files of Beam Endpoints Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Beam Endpoints Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            name (str): This parameter specifies cleaned and standardized abbreviations of primary endpoints that are common or of key interest.. [optional]
            full_form (str): This parameter specifies cleaned and standardized full names of primary endpoints that are common or of key interest.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(BeamEndpointsResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_ozmosi_endpoints_daily_endpoint.call_with_http_info(**kwargs)


    def get_ozmosi_intervention_daily(
        self,
        **kwargs
    ) -> InterventionResponse:
        """Returns the daily files of Intervention details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Intervention details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_intervention_name (str): This parameter specifies the name of intervention applied.. [optional]
            beam_intervention_desc (str): It specifies the description of intervention applied.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            InterventionResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_ozmosi_intervention_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_intervention_daily_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[InterventionResponse, int, typing.MutableMapping]:
        """Returns the daily files of Intervention details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Intervention details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_intervention_name (str): This parameter specifies the name of intervention applied.. [optional]
            beam_intervention_desc (str): It specifies the description of intervention applied.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            InterventionResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_ozmosi_intervention_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_intervention_daily_async(
        self,
        **kwargs
    ) -> "ApplyResult[InterventionResponse]":
        """Returns the daily files of Intervention details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Intervention details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_intervention_name (str): This parameter specifies the name of intervention applied.. [optional]
            beam_intervention_desc (str): It specifies the description of intervention applied.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[InterventionResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_ozmosi_intervention_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_intervention_daily_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[InterventionResponse, int, typing.MutableMapping]]":
        """Returns the daily files of Intervention details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Intervention details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_intervention_name (str): This parameter specifies the name of intervention applied.. [optional]
            beam_intervention_desc (str): It specifies the description of intervention applied.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(InterventionResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_ozmosi_intervention_daily_endpoint.call_with_http_info(**kwargs)


    def get_ozmosi_orangepurple_daily(
        self,
        **kwargs
    ) -> OrangePurpleResponse:
        """Returns the daily files of OrangePurple Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of OrangePurple Details from Open:FaStset Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_op_novel_drug (str): This parameter identifies if the trial includes a drug that is not approved by the FDA.. [optional]
            beam_op_novel_target (str): It lists the unapproved drug.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            OrangePurpleResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_ozmosi_orangepurple_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_orangepurple_daily_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[OrangePurpleResponse, int, typing.MutableMapping]:
        """Returns the daily files of OrangePurple Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of OrangePurple Details from Open:FaStset Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_op_novel_drug (str): This parameter identifies if the trial includes a drug that is not approved by the FDA.. [optional]
            beam_op_novel_target (str): It lists the unapproved drug.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            OrangePurpleResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_ozmosi_orangepurple_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_orangepurple_daily_async(
        self,
        **kwargs
    ) -> "ApplyResult[OrangePurpleResponse]":
        """Returns the daily files of OrangePurple Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of OrangePurple Details from Open:FaStset Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_op_novel_drug (str): This parameter identifies if the trial includes a drug that is not approved by the FDA.. [optional]
            beam_op_novel_target (str): It lists the unapproved drug.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[OrangePurpleResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_ozmosi_orangepurple_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_orangepurple_daily_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[OrangePurpleResponse, int, typing.MutableMapping]]":
        """Returns the daily files of OrangePurple Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of OrangePurple Details from Open:FaStset Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_op_novel_drug (str): This parameter identifies if the trial includes a drug that is not approved by the FDA.. [optional]
            beam_op_novel_target (str): It lists the unapproved drug.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(OrangePurpleResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_ozmosi_orangepurple_daily_endpoint.call_with_http_info(**kwargs)


    def get_ozmosi_primaryoutcome_daily(
        self,
        **kwargs
    ) -> PrimaryOutcomeResponse:
        """Returns the daily files of PrimaryOutcome Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of PrimaryOutcome Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            primary_outcome_measure (str): It specifies the description of each primary outcome measure (or for observational studies, specific key measurement[s] or observation[s] used to describe patterns of diseases or traits or associations with exposures, risk factors or treatment).. [optional]
            primary_outcome_desc (str): It describes the metric used to characterize the specific primary outcome measure, if not included in the primary outcome measure title.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            PrimaryOutcomeResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_ozmosi_primaryoutcome_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_primaryoutcome_daily_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[PrimaryOutcomeResponse, int, typing.MutableMapping]:
        """Returns the daily files of PrimaryOutcome Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of PrimaryOutcome Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            primary_outcome_measure (str): It specifies the description of each primary outcome measure (or for observational studies, specific key measurement[s] or observation[s] used to describe patterns of diseases or traits or associations with exposures, risk factors or treatment).. [optional]
            primary_outcome_desc (str): It describes the metric used to characterize the specific primary outcome measure, if not included in the primary outcome measure title.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            PrimaryOutcomeResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_ozmosi_primaryoutcome_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_primaryoutcome_daily_async(
        self,
        **kwargs
    ) -> "ApplyResult[PrimaryOutcomeResponse]":
        """Returns the daily files of PrimaryOutcome Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of PrimaryOutcome Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            primary_outcome_measure (str): It specifies the description of each primary outcome measure (or for observational studies, specific key measurement[s] or observation[s] used to describe patterns of diseases or traits or associations with exposures, risk factors or treatment).. [optional]
            primary_outcome_desc (str): It describes the metric used to characterize the specific primary outcome measure, if not included in the primary outcome measure title.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[PrimaryOutcomeResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_ozmosi_primaryoutcome_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_primaryoutcome_daily_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[PrimaryOutcomeResponse, int, typing.MutableMapping]]":
        """Returns the daily files of PrimaryOutcome Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of PrimaryOutcome Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            primary_outcome_measure (str): It specifies the description of each primary outcome measure (or for observational studies, specific key measurement[s] or observation[s] used to describe patterns of diseases or traits or associations with exposures, risk factors or treatment).. [optional]
            primary_outcome_desc (str): It describes the metric used to characterize the specific primary outcome measure, if not included in the primary outcome measure title.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(PrimaryOutcomeResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_ozmosi_primaryoutcome_daily_endpoint.call_with_http_info(**kwargs)


    def get_ozmosi_sponsors_daily(
        self,
        **kwargs
    ) -> SponsorsResponse:
        """Returns the daily files of Sponsors Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Sponsors Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_sponsors_name (str): It specifies the cleaned name of the Sponsor.. [optional]
            beam_sponsors_ticker (str): It specifies the stock ticker for primary sponsor.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            SponsorsResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_ozmosi_sponsors_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_sponsors_daily_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[SponsorsResponse, int, typing.MutableMapping]:
        """Returns the daily files of Sponsors Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Sponsors Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_sponsors_name (str): It specifies the cleaned name of the Sponsor.. [optional]
            beam_sponsors_ticker (str): It specifies the stock ticker for primary sponsor.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            SponsorsResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_ozmosi_sponsors_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_sponsors_daily_async(
        self,
        **kwargs
    ) -> "ApplyResult[SponsorsResponse]":
        """Returns the daily files of Sponsors Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Sponsors Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_sponsors_name (str): It specifies the cleaned name of the Sponsor.. [optional]
            beam_sponsors_ticker (str): It specifies the stock ticker for primary sponsor.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[SponsorsResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_ozmosi_sponsors_daily_endpoint.call_with_http_info(**kwargs)

    def get_ozmosi_sponsors_daily_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[SponsorsResponse, int, typing.MutableMapping]]":
        """Returns the daily files of Sponsors Details from Open:FactSet Partner - Ozmosi.  # noqa: E501

        Returns the daily files of Sponsors Details from Open:FactSet Partner - Ozmosi.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            clinical_trial_id (str): This parameter specifies Ozmosi unique ID for each historical version of a trial.. [optional]
            beam_sponsors_name (str): It specifies the cleaned name of the Sponsor.. [optional]
            beam_sponsors_ticker (str): It specifies the stock ticker for primary sponsor.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(SponsorsResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_ozmosi_sponsors_daily_endpoint.call_with_http_info(**kwargs)


